# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPStaticMethodCallWithVariableElement
/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 12

# Class AOWP_PHPStaticMethodCallWithVariableElement

    AOWP_PHPElement
        └─AOWP_PHPStaticMethodCallWithVariableElement

public class AOWP_PHPStaticMethodCallWithVariableElement
extends AOWP_PHPElement

Enter description here...

Author:
  Ryoto Naruse /

Field Summary
mixed | $arguments
mixed | $className
mixed | $variable

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPStaticMethodCallWithVariableElement(mixed line, mixed className, mixed variable, mixed arguments)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 16

### arguments

`public mixed $arguments`

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 14

### className

`public mixed $className`

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 15

### variable

`public mixed $variable`

## Constructor Detail

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 18

### AOWP_PHPStaticMethodCallWithVariableElement

`public AOWP_PHPStaticMethodCallWithVariableElement(mixed line, mixed className, mixed variable, mixed arguments)`

## Method Detail

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 31

### __toString

`public void __toString()`

/parser/ast/PHPStaticMethodCallWithVariableElement.class.php at line 26

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr